.TH gdbm_exists() "" "" "GDBM Function (libgdbm)"
.PC "Check whether a GDBM data base contains a given record"
.B "#include <gdbm.h>"
\fBint gdbm_exists(\fIdatabase\^\fB, \fIkey\^\fB)\fR
\fBGDBM_FILE \fIdatabase\^\fB;\fR
\fBdatum \fIkey\^\fB;\fR
.PP
Function
.B gdbm_exists()
checks whether the GDBM data base to which
.I database
points contains a record with the key to which
.I key
points.
.I database
must have been returned by a call to
.BR gdbm_open() .
.PP
If
.I database
contains
.IR key ,
.B gdbm_exists()
returns a value other than zero; otherwise, it returns zero.
.SH "See Also"
.XR "gdbm.h," gdbm.h
.XR "gdbm_open()," gdbm_open
.XR "libgdbm" libgdbm
.SH Notes
For a statement of copyright and permissions on this routine, see the
Lexicon entry for
.BR libgdbm .
